Anyone still running jailbreak 3.0.x???

Discussion in 'Jailbreaks and iOS Hacks' started by kwazimoto, Feb 20, 2010.

  1. kwazimoto macrumors newbie

    Joined:
    Jul 26, 2009
    #1
    I'm currently running a jailbroken/unlocked 3GS phone on 3.0.1. It runs flawlessly, except that there are some programs in the app store that won't let me download unless I upgrade to 3.1+. Aside from this minor setback, I haven't found a reason to attempt upgrading and re-jailbreaking/unlocking. (I have ECID SHSH on file with Cydia just incase).

    I'm curious, how many others out there are running on jailbreak 3.0.x?

    Anyone feel strongly that I SHOULD upgrade?
     
  2. Che Castro macrumors 603

    Joined:
    May 21, 2009
    #2
    yea im still on 3.0.1

    Im just too lazy to upgrade

    I only had a few programs that i couldn't download but other then that ill just wait for 4.0
     
  3. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #3
    I know a few that are still on 3.0 with 3G models. If it ain't broke:)
     
  4. Agent 21 macrumors regular

    Joined:
    Jun 27, 2009
    #4
    I'm still on 3.0 3GS. When the first newer JBs were coming, like the 3.0.x series and then 3.1 people were reporting a bunch of problems so I always ignored them. Basically the only reason to upgrade was MMS, and there's a network profile in Cydia that enables it on 3.0 so that was moot.

    However, I started noticing a few apps I want are for 3.1 and later, so I decided to upgrade to 3.1.2 and JB, but I waited too long and Apple released 3.1.3 literally the day before I decided to do it, meaning I couldn't get 3.1.2 signed anymore, meaning I guess Im waiting until 3.1.3 JB comes out, if ever, or just waiting til 4.0. A few members convinced me my phone is more valuable if I preserve my current baseband (it's a launch-day 3GS), because it preserves the ability to unlock. I have no need to unlock as I'm with AT&T, and never really planned on reselling, but the more I thought about it the more I realized it's a good option to have should I ever change my mind, so I'm just staying on my perfectly fine 3.0 JB with the MMS hack, the few new apps made just for 3.1+ aren't that important, I can wait.
     
  5. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
  6. Qanbar macrumors member

    Qanbar

    Joined:
    Jul 4, 2009
    #6
    I am the same as Agent21. Launch day 3gs with 3.0. I haven't been tempted to upgrade yet as heard of all the issues (wifi dropping etc). 3.0 works perfect, sure gta china town wars don't work but il survive. Will upgrade to 4.0 I think. Myabe lol.
     
  7. Agent 21 macrumors regular

    Joined:
    Jun 27, 2009
    #7
    Haha, GTA: Chinatown was the exact app I was thinking of when writing my post. That and that Dragon app (the speech to text one) are the two apps that had me decide to upgrade to 3.1.2 and re-JB, but I missed it so they'll have to wait until 4.0, or if 4.0 JB never happens (or has issues) I guess I'll never get them. Oh well, Backgrounder, SBSettings, Cydia, and Winterboard are WAY better than GTA and a speech to text app Id probay never use after it's novelty wore off lol.
     
  8. kwazimoto thread starter macrumors newbie

    Joined:
    Jul 26, 2009
    #8
    Agreed

    Yeah, exactly my point as well. I did do one upgrade to 3.0.1 on my 3GS, and did the MMS upgrade, and have a flawless JB still. The JB and unlock is too valuable to risk for an OS upgrade & re-JB given all the problems others have experienced. Although I'm on AT&T at home, I travel internationally a bit and can pick up a SIM card from that country and call home for super cheap.

    I agree - I wish Dragon would work on 3.0... will have to see what the future has in store for us.

    Thanks for the posts!
     
  9. agtprvctr macrumors newbie

    Joined:
    Jun 22, 2009
    #9
    I think you should go for it. I personally have a launch-day 3GS which I've been careful with, I'm now running 3.1.3 with the precious 4.26 baseband intact thanks to pwnagetool. It sounds like pwnagetool 3.15 is what you need, as you want to keep your original baseband yet upgrade to OS 3.1.3. Since you have your Cydia shsh's, as long as you don't accidentally upgrade baseband somehow you've nothing to lose trying 3.1.3 out. Also, most connection problems I see people report are based on blacksn0w unlocks of the 5.12 baseband. My 3GS has been running just fine with 3.1.3 OS / 4.26 baseband / pwnagetool 3.15 jailbreak / ultrasn0w unlock.
     
  10. senorian macrumors regular

    Joined:
    Sep 1, 2008
    #10
    i was on 3.0 fw but I just upgraded to 3.1.3 the other day and rejailbroke my phone. Love it
     
  11. kwazimoto thread starter macrumors newbie

    Joined:
    Jul 26, 2009
    #11

    Thanks, agtprvctr. I will look into pwnagetool to keep my 4.26. Just don't want to lose my unlock ability for international travel!
     

Share This Page